Bug 217159 - mc crashes when there's no more free space in /tmp
mc crashes when there's no more free space in /tmp
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mc (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks: 217342
  Show dependency treegraph
 
Reported: 2006-11-24 09:18 EST by Radek Bíba
Modified: 2013-07-02 19:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 19:54:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-11-24 09:18:42 EST
Description of problem:
SSIA

Version-Release number of selected component (if applicable):
mc-4.6.1a-30.fc6

How reproducible:
Always

Steps to Reproduce:
1. occupy all space in /tmp (or other $TMPDIR)
2. run mc
  
Actual results:
mc starts looping and printing:
Cannot create temporary directory /tmp/mc-radek: No space left on device (28)
and after a while, it segfaults

Expected results:
A gentle error message? A 'light' mode without using /tmp?

Additional info:
As a matter of fact, I just wanted to use mc to clean things up and free some
space but it refused to start :(
Comment 1 RHEL Product and Program Management 2006-11-27 21:08:30 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 RHEL Product and Program Management 2007-02-07 19:54:17 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.